<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of department_model
 *
 * @author NaYeM
 */
class Department_Model extends MY_Model
{

    public $_table_name;
    public $_order_by;
    public $_primary_key;

    public function get_add_department_by_id($department_id)
    {
        $this->db->select('tbl_departments.deptname', FALSE);
        $this->db->select('tbl_designations.*', FALSE);
        $this->db->from('tbl_departments');
        $this->db->join('tbl_designations', 'tbl_departments.departments_id = tbl_designations.departments_id', 'left');
        $this->db->where('tbl_departments.departments_id', $department_id);
        $query_result = $this->db->get();
        $result = $query_result->result();
        return $result;
    }
    public function select_user_roll_by_id($designations_id) {
        $this->db->select('tbl_user_role.*', false);
        $this->db->select('tbl_menu.*', false);
        $this->db->from('tbl_user_role');
        $this->db->join('tbl_menu', 'tbl_user_role.menu_id = tbl_menu.menu_id', 'left');
        $this->db->where('tbl_user_role.designations_id', $designations_id);
        $query_result = $this->db->get();
        $result = $query_result->result();

        return $result;
    }
	 public function get_main_cat()
    {
        return $this->db->select('*')->from('sub_department')->get()->result_array();
    }
    public function insert_main_cat($data)
    {
        $this->db->insert('sub_department',$data);
        return $this->db->insert_id();
    }
    public function get_cat_name_by_id($id)
    {

        return $this->db->select('*')->from('sub_department')->where('main_cat_id',$id)->get()->result_array();
    }
    public function get_sub_cat_name()
    {
        return $this->db->select('*')->from('tbl_departments')->where('parent_id',0)->get()->result_array();
    }
    public function update_sub_cat_table($updated_id,$data)
    {
        $this->db->where('departments_id',$updated_id);
        $this->db->update('tbl_departments',$data);

    }
    public function get_sub_cat_by_cat($id)
    {
        
        return $this->db->select('deptname,departments_id')->from('tbl_departments')->where('parent_id',$id)->get()->result_array();
    }
    public function update_category($id,$data)
    {
        $this->db->where('main_cat_id',$id);
        $this->db->update('sub_department',$data);
    }
    public function update_sub_category($where_id,$data)
    {
        $this->db->where('departments_id',$where_id);
        $this->db->update('tbl_departments',$data);
    }
    public function delete_main_cat_by_id($id)
    {   
        
        $this->db->where('main_cat_id',$id);
        $this->db->delete('sub_department');
    }
    public function get_details($id)
    {


         // return $this->db->select('departments_id,deptname')->from('tbl_departments')->where('parent_id',$id)->where('parent_id','0')->get()->result_array();

        $table1 = $this->db->select('departments_id,deptname,parent_id')->from('tbl_departments')->where('parent_id',$id)->get()->result_array();
        $table2 = $this->db->select('departments_id,deptname,parent_id')->from('tbl_departments')->where('parent_id',0)->get()->result_array();
        $table3 = array_merge($table1,$table2);
        return $table3;


    }
    public function empty_main_cat($id)
    {
        $data = array('parent_id'=>0);
        $this->db->where('parent_id',$id);
        $this->db->update('tbl_departments',$data);

    }
    

}
