<?php

class Finance_model extends MY_Model
{

    public $_table_name;
    public $_order_by;
    public $_primary_key;


/* --- Table 2 start--- */
   public function get_region_data()
    {
           $this->db->order_by("id"); 
          $re=$this->db->get('tbl_region')->result();
          return $re;

    }
    public function get_state_data()
    {
           $this->db->order_by("state_id"); 
          $re=$this->db->get('state')->result();
          return $re;

    }
   public function get_all_data()
    {
        $this->db->select('tbl_financial_information.*,tbl_region.region_name');
        $this->db->from('tbl_financial_information');
        $this->db->join('tbl_region', 'tbl_financial_information.region_id = tbl_region.id', 'left'); 
        $this->db->where('tbl_financial_information.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }
    function insert_data($data)
    {  
       $this->db->insert('tbl_financial_information',$data);
    }


    public function get_all_data_by_id($id)
    {
        $this->db->select('tbl_financial_information.*,tbl_region.region_name');
        $this->db->from('tbl_financial_information');
        $this->db->join('tbl_region', 'tbl_financial_information.region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_financial_information.id',$id);
        $query = $this->db->get();
        return $query->result();
    }



    function update_data($data,$id)
    {
          $this->db->where('id',$id); 
          $this->db->update('tbl_financial_information',$data);
    }

    function delete_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_financial_information');
    }
/* --- Table 2 end--- */



/* --- Table 1 start--- */

     
     public function get_all_inhousedata()
    {
        $this->db->select('tbl_financial_in_house_information.*,tbl_region.region_name');
        $this->db->from('tbl_financial_in_house_information');
        $this->db->join('tbl_region', 'tbl_financial_in_house_information.region_id = tbl_region.id', 'left'); 
        $this->db->where('tbl_financial_in_house_information.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }
    function insert_inhousedata($data)
    {  
       $this->db->insert('tbl_financial_in_house_information',$data);
    }


    public function get_all_inhousedata_by_id($id)
    {
        $this->db->select('tbl_financial_in_house_information.*,tbl_region.region_name');
        $this->db->from('tbl_financial_in_house_information');
        $this->db->join('tbl_region', 'tbl_financial_in_house_information.region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_financial_in_house_information.id',$id);
        $query = $this->db->get();
        return $query->result();
    }

    function update_inhousedata($data,$id)
    {
          $this->db->where('id',$id); 
          $this->db->update('tbl_financial_in_house_information',$data);
    }


     function delete_inhouse_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_financial_in_house_information');
    }


/* --- Table 1 end--- */

}