<?php

class Internal_process_model extends MY_Model
{

    public $_table_name;
    public $_order_by;
    public $_primary_key;


 /* ---- employee_satisfaction start --- */ 

   public function get_region_data()
    {
          $this->db->order_by("id"); 
          $re=$this->db->get('tbl_region')->result();
          return $re;
    }


    public function get_option_data()
    {
          $this->db->order_by("id"); 
          $re=$this->db->get('tbl_timely_option')->result();
          return $re;
    }

    public function get_activity_data()
    {
          $this->db->order_by("id"); 
          $re=$this->db->get('tbl_efficiency_activity')->result();
          return $re;
    }


     public function get_timely_activity_data()
    {
          $this->db->order_by("id"); 
          $re=$this->db->get('tbl_timely_activity')->result();
          return $re;
    }


    public function get_admin_marks_duration()
    { 
          $re=$this->db->get('tbl_admin_marks_duration')->result();
          return $re;
    }

    public function get_timely_marks_duration()
    { 
          $re=$this->db->get('tbl_admin_marks_duration2')->result();
          return $re;
    }

    public function get_admin_marks_duration_by_id($ids)
    { 
  
         return $this->db->get_where("tbl_timely_efficiency_sub","parent_id='".$ids."'")->result();    
           
            
    }

    //update efficiency data by id
    public function update_admin_marks_duration_by_id($post_data2,$hidden_id,$sub_ids) 
    { 
      for($i=0; $i<count($post_data2); $i++)
      { 
         $this->db->where("parent_id",$hidden_id);             
        $final_upd= $this->db->update('tbl_timely_efficiency_sub',$post_data2[$i],"sub_id='".$sub_ids[$i]."'"); 
        
         
      }
       
      return $final_upd;   
    } 




    




/* ------ Infrastructure --- */


       public function get_all_promotion_data()
    {
        $this->db->select('tbl_timely_promotion.*,tbl_region.region_name');
        $this->db->from('tbl_timely_promotion');
        $this->db->join('tbl_region', 'tbl_timely_promotion.region_id = tbl_region.id','left'); 
        $this->db->where('tbl_timely_promotion.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }

    function insert_promotion_data($data)
    {  
       $this->db->insert('tbl_timely_promotion',$data);
    }

     function insert_promotion_sub_data($data)
    {  
       $this->db->insert_batch('tbl_timely_promotion_subdata',$data);
    }

    public function get_all_promotion_data_by_id($id)
    {
        $this->db->select('tbl_timely_promotion.*,tbl_region.region_name');
        $this->db->from('tbl_timely_promotion');
        $this->db->join('tbl_region', 'tbl_timely_promotion.region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_timely_promotion.id',$id);
        $query = $this->db->get();
        return $query->row();
    }

    public function get_options_promotion_by_id($ids)
    { 
   
         return $this->db->get_where("tbl_timely_promotion_subdata","parent_id='".$ids."'")->result();     
           
            
    }

    function update_promotion_data($data,$id)
    {
          $this->db->where('id',$id); 
          $this->db->update('tbl_timely_promotion',$data);
    }

    function delete_promotion_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_timely_promotion');
    }





     public function get_all_efficiency_data()
    {
        $this->db->select('tbl_timely_efficiency.*,tbl_region.region_name');
        $this->db->from('tbl_timely_efficiency');
        $this->db->join('tbl_region', 'tbl_timely_efficiency.region_id = tbl_region.id','left'); 
        $this->db->where('tbl_timely_efficiency.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }

   public function get_all_efficiency_data_by_id($id)
    {
        $this->db->select('tbl_timely_efficiency.*,tbl_region.region_name');
        $this->db->from('tbl_timely_efficiency');
        $this->db->join('tbl_region', 'tbl_timely_efficiency.region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_timely_efficiency.id',$id);
        $query = $this->db->get();
        return $query->row();
    }
    //update efficiency data by id
    public function update_all_efficiency_data_by_id($post_data,$hidden_id)
    {
         return  $this->db->update('tbl_timely_efficiency',$post_data,"id='".$hidden_id."'");        
    }
    

    function insert_efficiency_data($data)
    {  
       $this->db->insert('tbl_timely_efficiency',$data);
    }

     function insert_efficiency_sub_data($data)
    {  
       $this->db->insert_batch('tbl_timely_efficiency_sub',$data);
    }


   function delete_efficiency_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_timely_efficiency');
    }



      //completion sub
    public function get_completion_duration_by_id($ids)
    { 
         return $this->db->get_where("tbl_timely_completion_sub","parent_id='".$ids."'")->result();    
    }
    //completion sub2 
    public function get_tbl_timely_completion_sub2($ids)
    { 
         return $this->db->get_where("tbl_timely_completion_sub2","parent_id='".$ids."'")->row();     
    }


     public function get_all_completion_data()
    {
        $this->db->select('tbl_timely_completion.*,tbl_region.region_name');
        $this->db->from('tbl_timely_completion');
        $this->db->join('tbl_region', 'tbl_timely_completion.region_id = tbl_region.id','left'); 
        $this->db->where('tbl_timely_completion.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }

   public function get_all_completion_data_by_id($id)
    {
        $this->db->select('tbl_timely_completion.*,tbl_region.region_name');
        $this->db->from('tbl_timely_completion');
        $this->db->join('tbl_region', 'tbl_timely_completion.region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_timely_completion.id',$id);
        $query = $this->db->get();
        return $query->row();
    }

    //update efficiency data by id
    public function update_all_completion_data_by_id($post_data,$hidden_id)
    {
         return  $this->db->update('tbl_timely_completion',$post_data,"id='".$hidden_id."'");        
    }

    
     //update compl data by id
     public function update_completion_duration_by_id($post_data2,$hidden_id,$sub_ids)  
     { 
       for($j=0; $j<count($post_data2); $j++)      
       { 
          $this->db->where("parent_id",$hidden_id);               
         $final_upd2= $this->db->update('tbl_timely_completion_sub',$post_data2[$j],"sub_id='".$sub_ids[$j]."'"); 
       }
        
       return $final_upd2;    
     } 

    //update_completion_sub2 
    public function update_completion_sub2($post_data3,$hidden_id)  
    {
       
        return  $this->db->update('tbl_timely_completion_sub2',$post_data3,"parent_id='".$hidden_id."'");                                
    }
 
    

    function insert_completion_data($data)
    {  
       $this->db->insert('tbl_timely_completion',$data);
    }

     function insert_completion_sub_data($data)
    {  
       $this->db->insert_batch('tbl_timely_completion_sub',$data);
    }

    function insert_completion_sub_data2($data)
    {  
       $this->db->insert_batch('tbl_timely_completion_sub2',$data);
    }

    


   function delete_completion_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_timely_completion');
    }





   /*-------------- delete_physical_target_data start--------*/

             
     public function get_all_physical_target_data()
        {
            $this->db->select('tbl_tbl_physical_target.*,tbl_region.region_name');
            $this->db->from('tbl_tbl_physical_target');
            $this->db->join('tbl_region', 'tbl_tbl_physical_target.region_id = tbl_region.id','left'); 
            $this->db->where('tbl_tbl_physical_target.status !=',0,FALSE);
            $query = $this->db->get();
            return $query->result();
            //return $re; 

        }

     public function get_all_physical_target_data_by_id($id)
        {
            $this->db->select('tbl_tbl_physical_target.*,tbl_region.region_name');
            $this->db->from('tbl_tbl_physical_target');
            $this->db->join('tbl_region', 'tbl_tbl_physical_target.region_id = tbl_region.id', 'left'); 

            $this->db->where('tbl_tbl_physical_target.id',$id);
            $query = $this->db->get();
            return $query->result();
        }
    

     public function insert_physical_target_data($data)
        {  
           $this->db->insert('tbl_tbl_physical_target',$data);
        }

     public function insert_physical_target_sub_data($data)
        {  
           $this->db->insert_batch('tbl_physical_target_sub',$data);
        }

     

     public function delete_physical_target_data($id)
        {
              $this->db->set('status','0');
              $this->db->where('id',$id); 
              $this->db->update('tbl_tbl_physical_target');
        }





    /*-------------- delete_physical_target_data start--------*/

 

/* ---- Infrastructure end --- */









}