<?php

if (!defined('BASEPATH')) {
    exit('No direct script access allowed');
}

/*
 * 	@author : themetic.net
 * 	date	: 21 April, 2015
 * 	Inventory & Invoice Management System
 * 	http://themetic.net
 *  version: 1.0
 */

class User_Model extends MY_Model {

    public $_table_name;
    public $_order_by;
    public $_primary_key;

    public function select_user_roll_by_id($user_id) {
        $this->db->select('tbl_user_role.*', false);
        $this->db->select('tbl_menu.*', false);
        $this->db->from('tbl_user_role');
        $this->db->join('tbl_menu', 'tbl_user_role.menu_id = tbl_menu.menu_id', 'left');
        $this->db->where('tbl_user_role.user_id', $user_id);
        $query_result = $this->db->get();
        $result = $query_result->result();

        return $result;
    }

    public function get_new_user() {
        $post = new stdClass();
        $post->user_name = '';
        $post->name = '';
        $post->email = '';
        $post->flag = 3;
        $post->employee_login_id = '';

        return $post;

    }

    public function get_department_id($designation_id12)
    {
        return  $this->db->select('departments_id')->from('tbl_designations')->where('designations_id',$designation_id12)->get()->result_array();
    }

    public function get_designation_id($id)
    {
        return $this->db->select('designations_id')->from('tbl_account_details')->where('user_id',$id)->get()->result_array();
    }

    public function update_department($id,$departments_id13,$parent_id)
    {
        $data = array('department_id'=>$departments_id13,'parent_id'=>$parent_id);
        $this->db->where('user_id',$id);
        $this->db->update('tbl_account_details',$data);

    }
    public function get_department_by_sub_department($departments_id13)
    {
        return $this->db->select('parent_id')->from('tbl_departments')->where('departments_id',$departments_id13)->get()->result_array();
    }

    public function get_admin_list()
    {
        return $this->db->select('user_id,username')->from('tbl_users')->where('role_id',1)->get()->result_array();
    }


}
