<?php
class Administration_Model extends MY_Model
{

    public $_table_name;
    public $_order_by;
    public $_primary_key;
          
    //get tender list
    public function get_tender_by_id($id)
    {
    $result = $this->db->select('*')->from('becil_tender')->where(array('id'=>$id))->get()->result_array();
    return $result;     
    }
    
    //get shortlisted agency 
    public function get_agency_by_id($id)
    {
    $result = $this->db->select('shortlisted_agency_id,agency_name')->from('tbl_shortlisted_agency')->where(array('tender_id'=>$id))->get()->row();
    return $result;     
    }
    //get archived
    public function get_archived($table)
    {
    $result = $this->db->select('*')->from($table)->where(array('delete_status'=>'1'))->get()->result_array();
    return $result;     
    }
    
    public function get_approvers($id,$module)
    {
        return $this->db->select('*')->from('tbl_approval_status')->where(array('field_id'=>$id, 'module_name'=>$module))->order_by('id','DESC')->get()->result_array();
    }

    // check duplicate entry     
    public function check_duplicate($data){
        return $this->db->select('*')->from('tbl_approval_status')->where($data)->get()->num_rows();
    }
    
    
    
    /************************************ Housekeeping ***************************************************************/
    //get housekeeping reuirement detail by id
    public function get_hkp_requirement_dtl_by_id($id)
    {
    $result = $this->db->select('*')->from('tbl_adm_requirement_list')->where(array('id'=>$id))->get()->row();
    return $result;     
    }
    //get assigned tender
    public function hkp_get_assigned_tender($id)
    {
    $result = $this->db->select('assigned_tender_id')->from('tbl_adm_requirement_list')->where(array('id'=>$id))->get()->row();
    return $result;     
    } 
    /************************************ Housekeeping End ***************************************************************/
    
    
    /************************************ Security *******************************************************************/
    //get security reuirement detail by id
    public function get_srt_requirement_dtl_by_id($id)
    {
    $result = $this->db->select('*')->from('tbl_adm_srt_requirement_list')->where(array('id'=>$id))->get()->row();
    return $result;     
    }
    //get assigned tender
    public function srt_get_assigned_tender($id)
    {
    $result = $this->db->select('assigned_tender_id')->from('tbl_adm_srt_requirement_list')->where(array('id'=>$id))->get()->row();
    return $result;     
    }
    /************************************ Security End ***************************************************************/
    
    
    /************************************ Transport *******************************************************************/
    //get transport reuirement detail by id
    public function get_trn_requirement_dtl_by_id($id)
    {
    $result = $this->db->select('*')->from('tbl_adm_trn_requirement_list')->where(array('id'=>$id))->get()->row();
    return $result;     
    }
    //get assigned tender
    public function trn_get_assigned_tender($id)
    {
    $result = $this->db->select('assigned_tender_id')->from('tbl_adm_trn_requirement_list')->where(array('id'=>$id))->get()->row();
    return $result;     
    }
    /************************************ Transport End ***************************************************************/
    
    
    
}
