<?php

class Organizational_model extends MY_Model
{

    public $_table_name;
    public $_order_by;
    public $_primary_key;


 /* ---- employee_satisfaction start --- */ 

   public function get_region_data()
    {
          $this->db->order_by("id"); 
          $re=$this->db->get('tbl_region')->result();
          return $re;
    }

    public function get_state_data()
    {
           $this->db->order_by("state_id"); 
          $re=$this->db->get('state')->result();
          return $re;

    }

   public function get_all_employee_data()
    {
        $this->db->select('tbl_employee_satisfaction.*,tbl_region.region_name');
        $this->db->from('tbl_employee_satisfaction');
        $this->db->join('tbl_region', 'tbl_employee_satisfaction.emp_region_id = tbl_region.id','left'); 
        $this->db->where('tbl_employee_satisfaction.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }
    function insert_employee_data($data)
    {  
       $this->db->insert('tbl_employee_satisfaction',$data);
    }


    public function get_all_employee_data_by_id($id)
    {
        $this->db->select('tbl_employee_satisfaction.*,tbl_region.region_name');
        $this->db->from('tbl_employee_satisfaction');
        $this->db->join('tbl_region', 'tbl_employee_satisfaction.emp_region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_employee_satisfaction.id',$id);
        $query = $this->db->get();
        return $query->result();
    }

    function update_employee_data($data,$id)
    {
          $this->db->where('id',$id); 
          $this->db->update('tbl_employee_satisfaction',$data);
    }

    function delete_employee_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_employee_satisfaction');
    }



/* ---- employee_satisfaction end --- */





/* ------ technology --- */


       public function get_all_tech_data()
    {
        $this->db->select('tbl_technology.*,tbl_region.region_name');
        $this->db->from('tbl_technology');
        $this->db->join('tbl_region', 'tbl_technology.tech_region_id = tbl_region.id','left'); 
        $this->db->where('tbl_technology.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }
    function insert_tech_data($data)
    {  
       $this->db->insert('tbl_technology',$data);
    }


    public function get_all_tech_data_by_id($id)
    {
        $this->db->select('tbl_technology.*,tbl_region.region_name');
        $this->db->from('tbl_technology');
        $this->db->join('tbl_region', 'tbl_technology.tech_region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_technology.id',$id);
        $query = $this->db->get();
        return $query->result();
    }

    function update_tech_data($data,$id)
    {
          $this->db->where('id',$id); 
          $this->db->update('tbl_technology',$data);
    }

    function delete_tech_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_technology');
    }

/* ---- technology end --- */




/* ------ Infrastructure --- */


       public function get_all_infra_data()
    {
        $this->db->select('tbl_infrastructure.*,tbl_region.region_name');
        $this->db->from('tbl_infrastructure');
        $this->db->join('tbl_region', 'tbl_infrastructure.infra_region_id = tbl_region.id','left'); 
        $this->db->where('tbl_infrastructure.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }
    function insert_infra_data($data)
    {  
       $this->db->insert('tbl_infrastructure',$data);
    }


    public function get_all_infra_data_by_id($id)
    {
        $this->db->select('tbl_infrastructure.*,tbl_region.region_name');
        $this->db->from('tbl_infrastructure');
        $this->db->join('tbl_region', 'tbl_infrastructure.infra_region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_infrastructure.id',$id);
        $query = $this->db->get();
        return $query->result();
    }

    function update_infra_data($data,$id)
    {
          $this->db->where('id',$id); 
          $this->db->update('tbl_infrastructure',$data);
    }

    function delete_infra_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_infrastructure');
    }

/* ---- Infrastructure end --- */



/* --- Training Development data--- */

     
     public function get_all_development_data()
    {
        $this->db->select('tbl_training_development.*,tbl_region.region_name');
        $this->db->from('tbl_training_development');
        $this->db->join('tbl_region', 'tbl_training_development.region_id = tbl_region.id', 'left'); 
        $this->db->where('tbl_training_development.status !=',0,FALSE);
        $query = $this->db->get();
        return $query->result();
        //return $re; 

    }
    
    function insert_development_data($data)
    {  
       $this->db->insert('tbl_training_development',$data);
    }


    public function get_all_development_data_by_id($id)
    {
        $this->db->select('tbl_training_development.*,tbl_region.region_name');
        $this->db->from('tbl_training_development');
        $this->db->join('tbl_region', 'tbl_training_development.region_id = tbl_region.id', 'left'); 

        $this->db->where('tbl_training_development.id',$id);
        $query = $this->db->get();
        return $query->result();
    }

    function update_development_data($data,$id)
    {
          $this->db->where('id',$id); 
          $this->db->update('tbl_training_development',$data);
    }


     function delete_development_data($id)
    {
          $this->db->set('status','0');
          $this->db->where('id',$id); 
          $this->db->update('tbl_training_development');
    }


/* --- Table 1 end--- */







}