<?php

class Tasks_Model extends MY_Model
{

    public $_table_name;
    public $_order_by;
    public $_primary_key;

    public function get_department_name()
    {
        return $this->db->select('*')->from('sub_department')->get()->result_array();
    }
    public function get_allowed_user_new($menu_id,$desig)
    {
        $permission_user = $this->all_permission_user_new($menu_id,$desig);
        // get all admin user
        $admin_user = $this->db->where('role_id', 1)->get('tbl_users')->result();
        // if not exist data show empty array.
        if (!empty($permission_user)) {
            $permission_user = $permission_user;
        } else {
            $permission_user = array();
        }
        if (!empty($admin_user)) {
            $admin_user = $admin_user;
        } else {
            $admin_user = array();
        }
        $result = array_merge($admin_user, $permission_user);
        return $result;
    }

    public function all_permission_user_new($menu_id,$desig)
    {
        $this->db->select('tbl_user_role.designations_id', FALSE);
        $this->db->select('tbl_account_details.designations_id', FALSE);
        $this->db->select('tbl_users.*', FALSE);
        $this->db->from('tbl_user_role');
        $this->db->join('tbl_account_details', 'tbl_account_details.designations_id = tbl_user_role.designations_id', 'left');
        $this->db->join('tbl_users', 'tbl_users.user_id = tbl_account_details.user_id', 'left');
        $this->db->where('tbl_user_role.menu_id', $menu_id);
        $this->db->where('tbl_account_details.department_id', $desig);
        $this->db->where('tbl_users.activated', 1);
        $query_result = $this->db->get();
        $result = $query_result->result();
        return $result;
    }

    public function get_department_name_by_id($id)
    {

        return $this->db->select('*')->from('tbl_account_details')->where('designations_id',$id)->get()->result_array();
    
    }
    public function get_sub_cat($id)
    {
        
        return $this->db->select('*')->from('tbl_departments')->where('parent_id',$id)->get()->result_array();

    }
    public function get_userdepartment($id)
    {
        return $this->db->select('*')->from('tbl_account_details')->where('departments_id',$id)->get()->result_array();
    }
    public function get_user_info($id)
    {
        return $this->db->select('*')->from('tbl_account_details')->where('designations_id',$id)->get()->result_array();
    }
    public function get_allowed_user_new1($menu_id,$id)
    {   
        $permission_user = $this->all_permission_user_new1($menu_id,$id);
        // get all admin user
        $admin_user = $this->db->where('role_id', 1)->get('tbl_users')->result();
        // if not exist data show empty array.
        if (!empty($permission_user)) {
            $permission_user = $permission_user;
        } else {
            $permission_user = array();
        }
        if (!empty($admin_user)) {
            $admin_user = $admin_user;
        } else {
            $admin_user = array();
        }
        $result = array_merge($admin_user, $permission_user);
        return $result;
    }

    public function all_permission_user_new1($menu_id,$id)
    {
        $this->db->select('tbl_user_role.designations_id', FALSE);
        $this->db->select('tbl_account_details.designations_id', FALSE);
        $this->db->select('tbl_users.*', FALSE);
        $this->db->from('tbl_user_role');
        $this->db->join('tbl_account_details', 'tbl_account_details.designations_id = tbl_user_role.designations_id', 'left');
        $this->db->join('tbl_users', 'tbl_users.user_id = tbl_account_details.user_id', 'left');
        $this->db->where('tbl_user_role.menu_id', $menu_id);
        $this->db->where('tbl_account_details.parent_id', $id);
        $this->db->where('tbl_users.activated', 1);
        $query_result = $this->db->get();
        $result = $query_result->result();
        return $result;
    }

    public function get_all_main_cat()
    {
        return $this->db->select('*')->from('sub_department')->get()->result_array();
    }
    public function get_all_main_cat_user()
    {
        return $this->db->select('*')->from('tbl_account_details')->get()->result_array();
    }
   
    
    public function get_permission_main_cat($main_cat,$table)
    {

        
        //$role = $this->session->userdata('user_type');
         $user_id = $main_cat;
       
            $result_info = $this->db->get($table)->result();
         
            if (!empty($result_info)) {
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        $permission[] = $result;
                    } else {
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) {
                            foreach ($get_permission as $id => $v_permission) {
                                if ($user_id == $id) {
                                    $permission[] = $result;
                                }
                            }
                        }
                    }
                }
            }
      else {

            
            $permission = $this->db->where('parent_id',$main_cat)->get($table)->result();

        }
        if (empty($permission)) {
            $permission = array();
        }
        return $permission;
    }

    public function get_permission_main_cat_user($main_cat_user,$table,$status)
    {
       
    // $table = 'tbl_task';
   // $role = $user_role_id;
        if($status!='')
        {
            $this->db->where('opportunities_state_reason_id',$status);
        }

        if($main_cat_user!='')
        {
        $user_id = $main_cat_user;
        }
        else
        {

            $user_id = $this->session->userdata('user_id');

        }
        
				
       
            $result_info = $this->db->get($table)->result();
           
            // if (!empty($result_info)) {
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        $permission[] = $result;
                    } else {
                       
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) {
                            foreach ($get_permission as $id => $v_permission) {
                                if ($user_id == $id) {
                                    $permission[] = $result;
                                }
                            }
                        }
                    }
                }
            // }
        //  else {

              
                
        //     $permission = $this->db->get($table)->result();

        // }

       
        // if (empty($permission)) 
        // {
        //     $permission = array();
        // }
        return $permission;
    }


     public function get_permission_main_cat_user_search($main_cat_user,$user_role_id,$id)
    {
     $table = 'tbl_task';
    $role = $user_role_id;
        $user_id = $main_cat_user;
        
        if ($role != 1) {
            $result_info = $this->db->where('task_status',$id)->get($table)->result();
           
            if (!empty($result_info)) {
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        $permission[] = $result;
                    } else {
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) {
                            foreach ($get_permission as $id => $v_permission) {
                                if ($user_id == $id) {
                                    $permission[] = $result;
                                }
                            }
                        }
                    }
                }
            }
        } else {

            
            $permission = $this->db->where('task_status',$id)->get($table)->result();

        }
        if (empty($permission)) {
            $permission = array();
        }
        return $permission;
    }


    public function get_permission_main_cat_user_filter($filter)
    {
        
      if($filter=='self')
      {
        $user_id = $this->session->userdata('user_id');
        return $this->db->select("*")->from('tbl_task')->where('created_by',$user_id)->get()->result_array();
        
      }  

    }



    public function get_role_id($main_cat_user)
    {
        return $this->db->select('role_id')->from('tbl_users')->where('user_id',$main_cat_user)->get()->row_array();
    }

    public function get_sub_cat_search($id)
    {
        return $this->db->select('*')->from('tbl_account_details')->where('parent_id',$id)->get()->result_array();
    }

   

public function get_allowed_user_new2($menu_id,$id)
{

        $this->db->select('tbl_user_role.designations_id', FALSE);
        $this->db->select('tbl_account_details.designations_id', FALSE);
        $this->db->select('tbl_users.*', FALSE);
        $this->db->from('tbl_user_role');
        $this->db->join('tbl_account_details', 'tbl_account_details.designations_id = tbl_user_role.designations_id', 'left');
        $this->db->join('tbl_users', 'tbl_users.user_id = tbl_account_details.user_id', 'left');
        $this->db->where('tbl_user_role.menu_id', $menu_id);
      
        $this->db->where('tbl_users.activated', 1);
        $this->db->like('tbl_users.username', $id);
        $query_result = $this->db->get();
        $result = $query_result->result();
        return $result;
}
public function get_allowed_user_new3($menu_id,$id,$parent_id)
{

        $this->db->select('tbl_user_role.designations_id', FALSE);
        $this->db->select('tbl_account_details.designations_id', FALSE);
        $this->db->select('tbl_users.*', FALSE);
        $this->db->from('tbl_user_role');
        $this->db->join('tbl_account_details', 'tbl_account_details.designations_id = tbl_user_role.designations_id', 'left');
        $this->db->join('tbl_users', 'tbl_users.user_id = tbl_account_details.user_id', 'left');
        $this->db->where('tbl_user_role.menu_id', $menu_id);
        $this->db->where('tbl_account_details.parent_id', $parent_id);
        
        $this->db->where('tbl_users.activated', 1);
        $this->db->like('tbl_users.username', $id);
        $query_result = $this->db->get();
        $result = $query_result->result();
        return $result;
}

public function get_allowed_user($menu_id)
{
    $data['created_by'] = $this->session->userdata('user_id');
    $this->db->select('tbl_user_role.designations_id', FALSE);
        $this->db->select('tbl_account_details.designations_id', FALSE);
        $this->db->select('tbl_users.*', FALSE);
        $this->db->from('tbl_user_role');
        $this->db->join('tbl_account_details', 'tbl_account_details.designations_id = tbl_user_role.designations_id', 'left');
        $this->db->join('tbl_users', 'tbl_users.user_id = tbl_account_details.user_id', 'left');
        $this->db->where('tbl_user_role.menu_id', $menu_id);
        $this->db->where('tbl_account_details.parent_id', $id);
        $this->db->where('tbl_users.activated', 1);

        $query_result = $this->db->get();
        $result = $query_result->result();
        return $result;

}
public function get_permission_own_model($table, $flag = null)
    {
         
        $table = 'tbl_task';
        $role = $this->session->userdata('user_type');
        $user_id = $this->session->userdata('user_id');


        if ($role != 1) {

            $result_info = $this->db->get($table)->result();
         
            if (!empty($result_info)) {
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        $permission[] = $result;
                    } else {
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) {
                            foreach ($get_permission as $id => $v_permission) {
                                if ($user_id == $id) {
                                    $permission[] = $result;
                                }
                            }
                        }
                    }
                }
            }
        } 
        else 
        {

             if($user_id==83)
            {

                $result_info = $this->db->get($table)->result();
                $user_list = $this->db->select('user_id')->from('tbl_users')->where('manager',$user_id)->get()->result_array();
                $final_result = array();
                foreach ($user_list as $key ) 
                {
                   $final_result[] = $key['user_id'];
                }
                

                if (!empty($result_info)) {
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        $permission[] = $result;
                    } else {
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) {
                            foreach ($get_permission as $id => $v_permission) {
                                if (in_array($id, $final_result)) {
                                    $permission[] = $result;
                                }
                            }
                        }
                    }
                }
            }
        }

        else
        {
            $permission = $this->db->get($table)->result();
        }
    }
            
            



        if (empty($permission)) {
            $permission = array();
        }

        return $permission;
    }
    public function get_project($id)
    {
        return $this->db->select('project_name')->from('tbl_project')->get()->row_array();
    }
    public function  get_valid_user_through_main_cat($main_cat)
    {
        return $this->db->select('user_id')->from('tbl_account_details')->where('parent_id',$main_cat)->get()->result_array();
    }
    public function get_admin_users()
    {
        
        // get all admin user
        $this->db->select('GROUP_CONCAT(tbl_users.user_id) as uid');
        $admin_user = $this->db->where('role_id', 1)->get('tbl_users')->row()->uid;
        // if not exist data show empty array.

        if (!empty($admin_user)) {
            $admin_user = $admin_user;
        } else {
            $admin_user = "";
        }

        return $admin_user;
    }

    public function get_user_task_only($user_id)
    {
        
        $result_info = $this->db->where('task_status','in_progress')->get('tbl_task')->result();
            if (!empty($result_info)) {
                
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        
                        $permission[] = $result;
                    } else {
                       
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) { 
                            foreach ($get_permission as $id => $v_permission) {
                                if ($user_id == $id) {
                                   
                                    $permission[] = $result;
                                }
                            }
                        }
                    }
                }
            }
      
        if (empty($permission)) 
        {
            $permission = array();
        }
        return $permission;
    }

    public function get_user_project_only($user_id)
    {
        $result_info = $this->db->where('project_status','in_progress')->get('tbl_project')->result();
            if (!empty($result_info)) {
                
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        
                        $permission[] = $result;
                    } else {
                       
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) { 
                            foreach ($get_permission as $id => $v_permission) {
                                if ($user_id == $id) {
                                   
                                    $permission[] = $result;
                                }
                            }
                        }
                    }
                }
            }
      
        if (empty($permission)) 
        {
            $permission = array();
        }
        return $permission;
    }
    
    public function get_client_list()
    {
        return $this->db->select('*')->from('tbl_client')->get()->result_array();
    }
    public function get_status_count($table, $userid,$task_id="",$status,$priority,$search_task)
    {
        $roleid=$this->db->get_where('tbl_users',array('user_id'=>$userid))->row();
        $role = $roleid->role_id;
        if($status !="" )

        $this->db->where('task_status',$status);
         if($priority !="" )
        $this->db->where('priority',$priority);

        if($search_task!="")
            $this->db->like('task_name',$search_task);

        if($task_id !="")
        $this->db->where('task_id',$task_id);


        $this->db->order_by('task_id','desc');
        $this->db->select('task_id,task_name,task_start_date,due_date,task_progress,task_status,permission,task_description,created_by,task_created_date,project_id,milestones_id,opportunities_id,goal_tracking_id,leads_id,bug_id');
        if ($role != 1) {
            $result_info = $this->db->get($table)->result();
            if (!empty($result_info)) {
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        $permission[] = $result;
                    } else {
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) {
                            foreach ($get_permission as $id => $v_permission) {
                                if ($userid == $id) {
                                    $permission[] = $result;
                                }
                                
                            }
                            
                            
                        }
                    }
                }
            }
        } else {
            $permission = $this->db->get($table)->result();
        }
        if (empty($permission)) {
            $permission = array();
        }
        return $permission;
    }
	
	public function get_opportunities_for_status($status)
	{
		
		return $this->db->select('*')->from('tbl_opportunities')->where('opportunities_state_reason_id',$status)->get()->result_array();
	}

    public function assign_task_get_only($table,$userid)
    {

        $roleid=$this->db->get_where('tbl_users',array('user_id'=>$userid))->row();
        $role = $roleid->role_id;
        
        if ($role != 1) {
            $result_info = $this->db->where("created_by !=",$userid)->get($table)->result();
            if (!empty($result_info)) {
                foreach ($result_info as $result) {
                    if ($result->permission == 'all') {
                        $permission[] = $result;
                    } else {
                        $get_permission = json_decode($result->permission);
                        if (is_object($get_permission)) {
                            foreach ($get_permission as $id => $v_permission) {
                                if ($userid == $id) {
                                    $permission[] = $result;
                                }
                                
                            }
                            
                            
                        }
                    }
                }
            }
        } else {
            $permission = $this->db->get($table)->result();
        }
        if (empty($permission)) {
            $permission = array();
        }
        
        return $permission;
    }

    public function get_all_comment_info($id)
    {
        return $this->db->select('*')->from('tbl_becil_tender_comment')->where('task_id',$id)->get()->result();
        

    }

    
      public function get_approvers($id,$module)
    {
        return $this->db->select('*')->from('tbl_approval_status')->where(array('field_id'=>$id, 'module_name'=>$module))->order_by('id','DESC')->get()->result_array();
    }

    // check duplicate entry     
    public function check_duplicate($data){
        return $this->db->select('*')->from('tbl_approval_status')->where($data)->get()->num_rows();
    }

}
